%define upstream_name    Test-Aggregate
%define upstream_version 0.371

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Internal overrides for Test::Builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin) >= 1.470.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Harness) >= 3.90.0
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.940.0
BuildRequires: perl(Test::Trap)
BuildArch:  noarch

%description
*WARNING*: this is ALPHA code. The interface is not guaranteed to be
stable. Further, check out the Test::Aggregate::Nested manpage (included
with this distribution). It's a more robust implementation which does not
have the same limitations as 'Test::Aggregate'.

A common problem with many test suites is that they can take a long time to
run. The longer they run, the less likely you are to run the tests. This
module borrows a trick from 'Apache::Registry' to load up your tests at
once, create a separate package for each test and wraps each package in a
method named 'run_the_tests'. This allows us to load perl only once and
related modules only once. If you have modules which are expensive to load,
this can dramatically speed up a test suite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Oct 20 2013 umeabot <umeabot> 0.371.0-2.mga4
+ Revision: 536754
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 0.371.0-1.mga4
+ Revision: 485485
- update to 0.371

* Sun Sep 08 2013 sander85 <sander85> 0.370.0-1.mga4
+ Revision: 476001
- update to 0.370

* Tue Aug 27 2013 sander85 <sander85> 0.369.0-1.mga4
+ Revision: 472448
- update to 0.369

* Fri Aug 16 2013 sander85 <sander85> 0.368.0-1.mga4
+ Revision: 466874
- update to 0.368

* Wed Aug 14 2013 sander85 <sander85> 0.367.0-1.mga4
+ Revision: 466396
- update to 0.367

* Mon Jul 15 2013 sander85 <sander85> 0.366.0-1.mga4
+ Revision: 454611
- update to 0.366

* Sun Jan 13 2013 umeabot <umeabot> 0.364.0-2.mga3
+ Revision: 373336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 23 2011 shlomif <shlomif> 0.364.0-1.mga2
+ Revision: 186561
- Correct a typo
- imported package perl-Test-Aggregate


* Fri May 27 2011 cpan2dist 0.364-1mdv
- initial mdv release, generated with cpan2dist
